function [saisir xmean] = center(saisir1)
%center				- subtracts the average to each row
%function [X1 xmean] = center(X)
%
%Input argument:
%---------------
%X : SAISIR matrix (n x p)
%Output argument:
%---------------
%X1:SAISIR matrix (n x p) centered (the average of each column of X1 is
%equal to 0)
%xmean: SAISIR vector (1 x p) of the average row. 

aux=mean(saisir1.d,1);
%size(ones(size(saisir1.d,1),1)*aux)
saisir.d=saisir1.d-ones(size(saisir1.d,1),1)*aux;
saisir.i=saisir1.i;
saisir.v=saisir1.v;

xmean.d=aux;
xmean.i='average';
xmean.v=saisir1.v;
