function h=curve(s,nligne,xlab,ylab,titre)
%curve				- represents a row of a matrix as a single curve
%handle=courbe(X,(nrow), (xlabel),(ylabel),(title))
%
%Input argument: 
%--------------
%X : SAISIR matrix
%nrow : indeix of the row to be shown
%xlabel, ylabel (optional) : label on X and Y
%title (optional) : title of the graph. 
%This function draws the row (typically a spectrum) as a curve. 
%If X.v can be interpreted as a vector of number (such as wavelengths), 
%the X scale is given by this vector. 
%Otherwise, the X-axis is simply given by the rank of the variables
%A function "courbe" is a synonym of this function.

if(nargin<2);nligne=1;end;

if(~isempty(str2num(s.v))) h=plot(str2num(s.v),s.d(nligne,:));
else
   h=plot(s.d(nligne,:));end;

set(h,'LineWidth',1);% utilisation du handle
axis('tight'); 
if(nargin >2) xlabel(xlab);end;
if(nargin>3)ylabel(ylab);end;
t=s.i(nligne,:);
if(nargin<5) title(s.i(nligne,:)); else title(titre); end
