function [row,col,value]=find_min(matrix)
%find_min           - gives the indices of the min value of a MATLAB Matrix
%function [row,col,value]=find_min(matrix)
%
%Input argument
%==============
%matrix: MATLAB matrix
%
%Output arguments
%===============
%row, col: indexes of the row and column of the minimun, respectively
%value: value of the minimun
%
%see also find_max

[i,j]=min(matrix);
[k,l]=min(i);
value=k;
col=l;
row=j(l);