function map3D(s,col1,col2,col3, startpos, endpos, labcol1,labcol2,labcol3,titre,charsize)
%map3D 			- Draws a 3D map 
%function map3D(X,col1,col2,col3,(label1),(label2),(label3),(title),(charsize))
%
%Input arguments:
%===============
%X: SAISIR matrix (n x p) 
%co1, col2, col3: indices of he columns to be represented 
%as X, Y and Z in the 3D plot (integers).
%label1,label2, label3: label of axes on X, Y, Z (optional, strings or vectors of
%char)
%charsize: size of the characters (optional, default :6)
%
%synonymous of "carte3D" (French name). Use preferably map3D

cla;
csize=10;
couleur=[0 0 0; 1 0 0; 0 0 1; 0 0.7 0; 0.5 0.5 0; 0.5 0 0.5; 0 0.5 0.5 ; 0.25 0.25 0.25 ; 0.5 0 0; 0 0.5 0; 0 0.5 0; 0.1 0.2 0.3; 0.3 0.2 0.1; 0.5 0.5 0.8; 0.1 0.8 0.1 ];

if(nargin>10)csize=charsize;end;
axis('auto');
minx=min(s.d(:,col1));maxx=max(s.d(:,col1));
miny=min(s.d(:,col2));
maxy=max(s.d(:,col2));
minz=min(s.d(:,col3));
maxz=max(s.d(:,col3));

axis([minx maxx miny maxy minz maxz]);

gr=create_group1(s,startpos,endpos);
indice=gr.d;
for i=1:size(s.i,1)
    text(s.d(i,col1),s.d(i,col2),s.d(i,col3),s.i(i,startpos:endpos),'FontSize',csize,'Color',couleur(mod(indice(i),15)+1,:),'Interpreter','none');
end

if(nargin >6) xlabel(labcol1)
	else xlabel(s.v(col1,:));   
end;
if(nargin>7) ylabel(labcol2);
	else ylabel(s.v(col2,:));   
end;
if(nargin>8) zlabel(labcol3);
	else zlabel(s.v(col3,:));   
end;
if(nargin>7) title(titre);end;
grid;
% cameramenu is usefull
