function [saisir]=randomize(s)
%randomize   		- Builds a file of randomly attributed vector in X1
%function X1=randomize(X)
%
%Input argument
%=============
%X: SAISIR matrix (n x p)
%
%Output argument:
%X1: SAISIR matrix (n x p) with the rows randomly allocated
%
%This function randomly changes the rank (indices) of the observations.
%This useful for validation test, when comparing the results with the
%hazard.


[n,p]=size(s.d);
aux=rand(n,1);
[x,y]=sort(aux);
saisir.d=s.d(y,:);
saisir.i=s.i(y,:);
saisir.v=s.v;
