function [saisir] = saisir_transpose(saisir1)
%saisir_transpose 		- transposes a data matrix following the saisir format
% function [X] = saisir_transpose(X1)
%
%Input argument
%=============
%X1: SAISIR matrix ( n x p)
%
%Output argument
%===============
%X: SAISIR matrix (p x n), transpose of X1 

% transposition of a struct at the saisir format
saisir.d=saisir1.d';
saisir.i=saisir1.v;
saisir.v=saisir1.i;
