function string2text(str,filename)
%string2text  	- save a vector of string in a .txt format 
%function string2text(str,filename)
%
%Input argument
%==============
%str:matrix of characters
%filename:string (vector of characters)
%
%Output argument
%==============
%None
%
%This function saves a succession of strings (in a matrix of char) under
%the name "filename". The extension ".TXT" is added to the file name

[n,p]=size(str);
filename=upper(filename);
if(isempty(findstr('.TXT',filename)))
   filename=[filename '.TXT'];
end
fid=fopen(filename,'w');
for row=1:n
   fprintf(fid,'%s\n',str(row,:));
end
fclose(fid);


