function browse(saisir,xstart)
%browse			- browses a series of curves
%function browse(X,xstart)
%Display the rows of the SAISIR matrix X as curves
%Right button to go down, Left button to go up, Ctrl C to exit
%%If X.v can be interpreted as a vector of number (such as wavelengths), 
%the X scale is given by this vector. 
%Otherwise, the X-axis is simply given by the rank of the variables

disp('Right button to go down, Left button to go up, Ctrl C to exit');
right=3; left=1;
[n,p]=size(saisir.d);
if(nargin>1)
    i=xstart-1;
else
    i=0;
end
while i<n
   i=i+1;
   curve(saisir,i);
%   echo off;
	[x,y,button]=ginput(1);
   if(button==1)
      i=i-2;
      if(i<1)
         i=0;
      end
   end
end
