function [saisir] = deleterow(saisir1,index)
%deleterow           - delete rows 
%function X1 = deleterow(X,index) 
%input arguments
%===============
%X:Saisir matrix (n x p)
%index:vector indicating the rowsto be deleted
%
%Output argument
%==============
%X1:saisir matrix (n1 x p) with n1 <=n
%
%The deleted rows are indicated by the vector index (numbers of booleans)
%
%% Typical Examples
%reduced=deleterow(data,[1 3 5]);%% deletes 3 rows
%reduced1=deletecol(data,sum(data.d,2)==0); % deletes all the rows with
%the sum equal to 0 
%
%see also:  selectrow, selectcol,deletecol



saisir1.d(index,:)=[];
saisir1.i(index,:)=[];
saisir.d=saisir1.d;
saisir.i=saisir1.i;
saisir.v=saisir1.v;
