function [row,col,value]=find_max(matrix)
%find_max           - gives the indices of the max value of a MATLAB Matrix
%function [row,col,value]=find_max(matrix)
%Input argument
%==============
%matrix: MATLAB matrix
%
%Output arguments
%===============
%row, col: indexes of the row and column of the maximum, respectively
%value: value of the maximum
%
%see also find_min





[i,j]=max(matrix);
[k,l]=max(i);
value=k;
col=l;
row=j(l);