function test=issaisir(x);
%issaisir       - tests if the input argument is a SAISIR matrix
%test=issaisir(X);
%
%Input argument:
%==============
%X: anything
%
%Output argument:
%===============
%test: (boolean) "true" if X is a SAISIR structure, "false" otherwise.  
%
%SEE also : saisir_check
test=true;
if(~isfield(x,'i'))
test=false;
return;
end;
if(~isfield(x,'v'))
test=false;
return;
end;

if(~isfield(x,'d'))
test=false;
return;
end;

[n1,p1]=size(x.d);
[n2,p2]=size(x.i);
[n3,p3]=size(x.v);

if(n1~=n2)
    test=false;
return;
end;

if(p1~=n3)
    test=false;
return;
end;