function [mtBpls,mtT, tBeta] = pls2obs(mtX,mtY,nbdim)
%pls2obs    - PLS regression with many observations
%function [mtBpls,mtT, tBeta] = pls2obs(mtX,mtY,nbdim)
%This function is normally not directly called


mtXX = mtX'*mtX;
mtXY = mtX'*mtY;
for idxdim=1:nbdim
	%idxdim
    vtvec = eigord(mtXY'*mtXY);
	%vtvec
    if ~isempty(vtvec);
		vtvec = vtvec(:,1);
		mtW(:,idxdim) = mtXY*vtvec;
		mtW(:,idxdim) = mtW(:,idxdim)/sqrt(mtW(:,idxdim)'*mtXX*mtW(:,idxdim));
		mtvecX(:,idxdim) = mtXX*mtW(:,idxdim);
		mtvecY(:,idxdim) = mtXY'*mtW(:,idxdim);
		mtXX = mtXX-mtvecX(:,idxdim)*mtvecX(:,idxdim)';
		mtXY = mtXY-mtvecX(:,idxdim)*mtvecY(:,idxdim)';
	else
		disp('vtvec not defined');
        break,
	end
end
mtBpls = mtW*inv(mtvecX'*mtW)*mtvecY';
% petite modification DB, le 18/06/2001
%tBeta=mtW*inv(mtvecX'*mtW).*(ones(size(mtX,1),1)*(1./sqrt(diag(mtW'*mtW)))');
tBeta=mtW*inv(mtvecX'*mtW)*diag((1./sqrt(diag(mtW'*mtW))));
mtT=mtX*tBeta;
%mtT = mtX*mtW*inv(mtvecX'*mtW).*(ones(size(mtX,1),1)*(1./sqrt(diag(mtW'*mtW)))');