function [ident, nident] = readident(filename,namesize)
%readident 			- loads a file of strings
%function [ident, nident] = readident(filename,namesize)
%
%Input arguments
%==============
%filename: (string) file name of the text file in the current directory
%namesize: (integer) maximum size of the string to be read (default : 10)
%
%Output arguments:
%================
%ident: matrix of char
%nident:number of rows in ident (identifiers)
%
%Loads an array of string in a matrix format
%namesize gives the maximum number of characters in each string
%
%Main use: loadings identifiers of rows and variables from a text file
%
aux='';
size=10;
if(nargin>1); size=namesize;end;
nident=0;compte=0;
vide=blanks(size);
%file=[currentpath filename];
file =filename;
[ '**' file '**']
fid=fopen(file,'rt');
tmp=fgetl(fid);
while tmp~=-1
	compte=compte+1;
	nident=nident+1;
	chaine=[tmp vide];
	ident(nident,:)=chaine(1:size);
	tmp=fgetl(fid);
	if compte==100
		disp([tmp,num2str(nident)]);
		compte=0;
	end
end
fclose(fid)

 