function str1=repeat_string(str,ntimes);
%repeat_string      - build a matricx of char by repeating a string
%function str1=repeat_string(str,ntimes);
%Input arguments:
%===============
%       - str   : a character string
%       - ntimes: number of repetition
%Output argument:
%================
%       - str1 the matrix of char with the repeated string.
% example:
% >> repeat_string('Vanessa',3)
% ans =
% Vanessa
% Vanessa
% Vanessa
%Useful for building identifiers in SAISIR 
%
%See also: addcode
str1=char(ones(ntimes,1)*str);
