function h=tcourbes(s,range,xlab,ylab,titre)
%tcurves 			- represents several columns of a matrix as curves
%function handle=tcurves(X, range, (xlabel),(ylabel),(title))
%
%Input arguments
%===============
%X:SAISIR matrix (n x p)
%range: indices of the selected columns (Matlab vector of integers)
%xlabel, ylabel, title: legends ub x,y and title (strings)
%
%Typical use : showing loadings of PLS or PCA
%===========
%p=pca(spectra);
%tcurves(p.eigenvec,1:4);%% First 4 loadings pf PCA
%
s1=saisir_transpose(s);
switch nargin
case 2
   h=curves(s1,range);
case 3
   h=curves(s1,range,xlab);
case 4
   h=curves(s1,range,xlab,ylab);
case 5
   h=curves(s1,range,xlab,titre);
otherwise
   error('wrong number of arguments');
end; 
 